Bug 227296 - more KONSOLE_DBUS_ env variables
Summary: more KONSOLE_DBUS_ env variables
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: 2.4
Platform: Archlinux Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-17 00:59 UTC by Caleb Cushing
Modified: 2012-04-20 05:39 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Caleb Cushing 2010-02-17 00:59:13 UTC
Version:           2.4 (using KDE 4.4.0)
OS:                Linux
Installed from:    Archlinux Packages

I could specifically use a $KONSOLE_DBUS_PROFILE that has stored what the current konsole profile is. I can see others being useful too.

here's an example of what I have right now. I'm manually setting KONSOLE_PROFILE in the profile's env variable area.

# set up env based on KONSOLE_PROFILE and KONSOLE_SESSION
# Test to see if the KONSOLE_PROFILE is empty
if [ ! -z ${KONSOLE_PROFILE} ]; then
        S="_" #a seperator for HISTFILE if a profile is actually set
        if [ ${KONSOLE_PROFILE} = "shell" ]; then
                        umask 0077
        elif [ ${KONSOLE_PROFILE} = "webdev" ]; then
                        PS1='\[\033[01;35m\]\h\[\033[01;34m\] \W $ \[\033[00m\]'
                        umask 0027
        fi
fi

export HISTFILE="${HOME}/.bash_history${S}${KONSOLE_PROFILE}${S}${KONSOLE_DBUS_SESSION##*/}"
Comment 1 Jekyll Wu 2011-11-11 04:59:19 UTC
I would like to give it a try but can't promise anything.
Comment 2 Jekyll Wu 2012-01-23 15:53:42 UTC
Well, it turns out adding $KONSOLE_PROFILE is just one line's work. What are the other environment variables you have found useful?
Comment 3 Jekyll Wu 2012-01-24 12:31:48 UTC
Git commit debfec2eb3c8ede89977b1f7d755b9f0d8a31e31 by Jekyll Wu.
Committed on 23/01/2012 at 16:57.
Pushed by jekyllwu into branch 'master'.

Add environment variable $KONSOLE_PROFILE_NAME

It records the name of the profile used in current tab/session.
FIXED-IN:4.9

M  +1    -0    src/SessionManager.cpp

http://commits.kde.org/konsole/debfec2eb3c8ede89977b1f7d755b9f0d8a31e31